Mandrake Linux Security Advisory : kdelibs (MDKSA-2004:047)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A vulnerability in the Opera web browser was identified by iDEFENSE;
the same type of vulnerability exists in KDE. The telnet, rlogin, ssh,
and mailto URI handlers do not check for '-' at the beginning of the
hostname passed, which makes it possible to pass an option to the
programs started by the handlers. This can allow remote attackers to
create or truncate arbitrary files.

The updated packages contain patches provided by the KDE team to fix
this problem.

See also :

http://www.securityfocus.com/archive/1/363225

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 14146 (mandrake_MDKSA-2004-047.nasl)

Bugtraq ID:

CVE ID: CVE-2004-0411

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now